Create a new entity
POST
/api/subscriptions/entities
const url = 'https://api.usegro.co/api/subscriptions/entities';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"profile_id":"example","entity_type":"example","name":"example","attributes":{},"image_url":"example","is_active":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/subscriptions/entities \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "profile_id": "example", "entity_type": "example", "name": "example", "attributes": {}, "image_url": "example", "is_active": true }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
profile_id
required
string
entity_type
required
string
name
required
string
attributes
object
key
additional properties
any
image_url
string
is_active
boolean
Example generated
{ "profile_id": "example", "entity_type": "example", "name": "example", "attributes": {}, "image_url": "example", "is_active": true}Responses
Section titled “Responses”Media typeapplication/json
object
data
required
object
id
required
string
name
required
string
created_at
string
updated_at
string
is_active
required
boolean
account_id
required
string
profile_id
required
string
archived_at
string
image_url
string
wizard_id
string
entity_type
required
string
attributes
string
Example generated
{ "data": { "id": "example", "name": "example", "created_at": "example", "updated_at": "example", "is_active": true, "account_id": "example", "profile_id": "example", "archived_at": "example", "image_url": "example", "wizard_id": "example", "entity_type": "example", "attributes": "example" }}